From c2279000a926db64c0bb0caa69025031174d576a Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 12 2020 05:06:00 +0000
Subject: [PATCH 259/2232] Format with clangfmt


---

diff --git a/include/cxx.h b/include/cxx.h
index 2ffacc5..f7decd8 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -132,8 +132,7 @@ public:
   T *operator->() noexcept { return this->ptr; }
   T &operator*() noexcept { return *this->ptr; }
 
-  template <typename... Fields>
-  static Box in_place(Fields&&... fields) {
+  template <typename... Fields> static Box in_place(Fields &&... fields) {
     Box box;
     box.uninit();
     ::new (box.ptr) T{std::forward<Fields>(fields)...};
diff --git a/src/cxx.cc b/src/cxx.cc
index 8834581..e8ec979 100644
--- a/src/cxx.cc
+++ b/src/cxx.cc
@@ -5,8 +5,7 @@
 #include <memory>
 #include <stdexcept>
 
-template <typename Exception>
-[[noreturn]] static void panic(const char *msg) {
+template <typename Exception> static void panic [[noreturn]] (const char *msg) {
 #if defined(RUST_CXX_NO_EXCEPTIONS)
   std::cerr << "Error: " << msg << ". Aborting." << std::endl;
   std::terminate();

